#
# spec file for package stresslinux-release
#
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp43 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc43 gdbm gettext-runtime gettext-tools glibc glibc-devel glibc-locale gmp grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc43 libgomp43 libltdl-3 libmpfr1 libmudflap43 libncurses5 libreadline5 libstdc++43 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers login m4 make man net-tools netcfg pam pam-modules patch perl perl-base permissions popt psmisc rpm sed sysvinit tar terminfo-base texinfo timezone util-linux zlib


Name:           stresslinux-release
License:        BSD 3-Clause
Group:          System/Fhs
Version:        0.7
Release:        195.1
%if 0%{?suse_version} < 1320
Provides:       aaa_version distribution-release
Obsoletes:      aaa_version
Obsoletes:      suse-release-oss suse-release
Obsoletes:      sles-release sled-release core-release
%endif
AutoReqProv:    on
Source0:	buildenv
Source1:	if_status.service
Source2:	hddtemp-watch.service
Source3:	sensors-watch.service
Summary:        stresslinux release version files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the files: /etc/stresslinux-release, /etc/issue, and
/etc/issue.net



Authors:
--------
    cs@linux-administrator.com

%debug_package
%package dvd
License:        BSD 3-Clause
Group:          System/Fhs
Summary:        stresslinux release version files

%description dvd
This package contains the files: /etc/stresslinux-release, /etc/issue, and
/etc/issue.net



Authors:
--------
    cs@linux-administrator.com

%package live
License:        BSD 3-Clause
Group:          System/Fhs
Summary:        stresslinux release version files
Conflicts:      %{name}-dvd

%description live
This package contains the files: /etc/stresslinux-release, /etc/issue, and
/etc/issue.net



Authors:
--------
    cs@linux-administrator.com

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT/etc
. %{S:0}
echo $BUILD_DISTRIBUTION_NAME > $RPM_BUILD_ROOT/etc/stresslinux-release
echo VERSION = $BUILD_DISTRIBUTION_VERSION >> $RPM_BUILD_ROOT/etc/stresslinux-release
mkdir -p $RPM_BUILD_ROOT/etc/zypp/products.d/
touch $RPM_BUILD_ROOT/etc/zypp/products.d/stresslinux-release.prod
%if 0%{?suse_version} >= 1210
%__install -d -m755 %{buildroot}%{_sysconfdir}/systemd/system/
for SRC in %{S:1} %{S:2} %{S:3} ; do
 SCRIPT=`basename ${SRC}`
 %__install -m755 ${SRC} %{buildroot}%{_sysconfdir}/systemd/system/${SCRIPT}
done
%endif
%__install -D -m644 %{S:0} %{buildroot}%{_datadir}/%{name}/buildenv

%post 
. %{_datadir}/%{name}/buildenv
echo -e "\nWelcome to $BUILD_DISTRIBUTION_NAME - Kernel \\\r (\\\l).\n\n" > $RPM_BUILD_ROOT/etc/issue
echo "Welcome to $BUILD_DISTRIBUTION_NAME - Kernel %%r (%%t)." > $RPM_BUILD_ROOT/etc/issue.net

%files
%defattr(644,root,root,755)
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/buildenv
/etc/stresslinux-release
%if 0%{?suse_version} >= 1210
%dir %{_sysconfdir}/systemd
%dir %{_sysconfdir}/systemd/system
%{_sysconfdir}/systemd/system/*.service
%endif

%files dvd
%defattr(-,root,root)
%dir /etc/zypp
%dir /etc/zypp/products.d
%ghost /etc/zypp/products.d/stresslinux-release.prod

%files live
%defattr(-,root,root)
%dir /etc/zypp
%dir /etc/zypp/products.d
%ghost /etc/zypp/products.d/stresslinux-release.prod

%changelog
* Sun Feb 17 2013 Carsten Schoene <cs@linux-administrator.com> - 0.7.190.1
- bump to release 0.7.190 for autobuilds

* Sun Jan 15 2012 Carsten Schoene <cs@linux-administrator.com> - 0.7.177.1
- bump to release 0.7 for all newer autobuilds

* Wed Sep 29 2010 Carsten Schoene <cs@linux-administrator.com> - 0.6-100.1
- bump to release 0.6 for openSUSE 11.3 based builds

* Sat Jul 06 2008 Carsten Schoene <cs@linux-administrator.com> - 0.5-100.1
- build release package
